package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.task.entity.TaskEntity;
import com.ycwl.basic.model.pc.task.req.TaskReqQuery;
import com.ycwl.basic.model.pc.task.resp.TaskRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 16:01
 */
public interface TaskService {
    ApiResponse<PageInfo<TaskRespVO>> pageQuery(TaskReqQuery taskReqQuery);
    ApiResponse<List<TaskRespVO>> list(TaskReqQuery taskReqQuery);
    ApiResponse<TaskRespVO> getById(Long id);
    ApiResponse<Boolean> deleteById(Long id);
    ApiResponse<Boolean> update(TaskEntity task);
    ApiResponse<Boolean> updateStatus(Long id,Integer status);

}
